%define upstream_name    MooseX-Singleton
%define upstream_version 0.26

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Base class for MooseX::Singleton
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(Moose) >= 1.100.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Requires)
BuildArch:  noarch

%description
A singleton is a class that has only one instance in an application.
'MooseX::Singleton' lets you easily upgrade (or downgrade, as it were) your
the Moose manpage class to a singleton.

All you should need to do to transform your class is to change 'use Moose'
to 'use MooseX::Singleton'. This module uses a new class metaclass and
instance metaclass, so if you're doing metamagic you may not be able to use
this.

'MooseX::Singleton' gives your class an 'instance' method that can be used
to get a handle on the singleton. It's actually just an alias for 'new'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc ChangeLog LICENSE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Feb 28 2011 jquelin <jquelin> 0.260.0-1.mga1
+ Revision: 61490
- update to 0.26

* Thu Jan 20 2011 jquelin <jquelin> 0.250.0-1.mga1
+ Revision: 26666
- mageia rebuild
- imported package perl-MooseX-Singleton

